Domain
Domain kustom untuk tautan pendek.
GET/api/v1/domainsDaftar domain
| Nama | Tipe | Wajib | Deskripsi |
|---|---|---|---|
| page | integer | Tidak | Page number (default 1) |
| results_per_page | integer | Tidak | Items per page (default 25, max 100) |
| search | string | Tidak | Search term |
| search_by | string | Tidak | Column to search |
| order_by | string | Tidak | Sort column |
| order_type | string | Tidak | asc or desc |
| datetime_start | string | Tidak | ISO datetime filter start |
| datetime_end | string | Tidak | ISO datetime filter end |
curl -X GET 'https://forqrcode.com/api/v1/domains' \ -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/availableDaftar domain tersedia
curl -X GET 'https://forqrcode.com/api/v1/domains/available' \ -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/{id}Baca satu domain
| Nama | Tipe | Wajib | Deskripsi |
|---|---|---|---|
| id | integer | Ya | — |
curl -X GET 'https://forqrcode.com/api/v1/domains/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'POST/api/v1/domainsBuat domain
| Nama | Tipe | Wajib | Deskripsi |
|---|---|---|---|
| host | string | Ya | — |
curl -X POST 'https://forqrcode.com/api/v1/domains' \ -H 'Authorization: Bearer YOUR_API_KEY'
PATCH/api/v1/domains/{id}Perbarui domain
| Nama | Tipe | Wajib | Deskripsi |
|---|---|---|---|
| id | integer | Ya | — |
curl -X PATCH 'https://forqrcode.com/api/v1/domains/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'DELETE/api/v1/domains/{id}Hapus domain
| Nama | Tipe | Wajib | Deskripsi |
|---|---|---|---|
| id | integer | Ya | — |
curl -X DELETE 'https://forqrcode.com/api/v1/domains/{id}' \
-H 'Authorization: Bearer YOUR_API_KEY'Nama parameter dan contoh JSON ditampilkan dalam bahasa Inggris. Ganti YOUR_API_KEY dengan kunci akun Anda.